Subject: bug#63726: time-machine without options does not get the latest commit

From: Simon Tournier <[email-masked]>
Date: Tue, 30 May 2023 15:32:07 +0200

Hi Konrad,

On ven., 26 mai 2023 at 13:15, Konrad Hinsen <[email-masked]> wrote:
> Hi,
>
>> Should we fix the doc or should we fix the code?…
>
> I vote for fixing the doc. Two reasons:

What about this patch?

>From 63b862ed9f3d3b019af3c6926bc1737f573bdfe6 Mon Sep 17 00:00:00 2001
Message-Id: <63b862[email-masked]>
From: Simon Tournier <[email-masked]>
Date: Fri, 26 May 2023 11:26:32 +0200
Subject: [PATCH] doc: Reword guix time-machine without option.

* doc/guix.texi (Invoking guix time-machine): Reword the behaviour in the
absence of any option.
---
 doc/guix.texi | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

diff --git a/doc/guix.texi b/doc/guix.texi
index 31dc33fb97..54f8a20196 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -4958,16 +4958,20 @@ Invoking guix time-machine
 @xref{Channels} for more information.
 @end table
 
-As for @command{guix pull}, the absence of any options means that the
-latest commit on the master branch will be used.  The command
+Similarly as @command{guix pull}, the absence of any options means that
+either the user's @file{~/.config/guix/channels.scm} file, or either the
+system-wide @file{/etc/guix/channels.scm} file, or either the built-in
+default channels specified in the @code{%default-channels} will be
+honored, in that order.  The command
 
 @example
 guix time-machine -- build hello
 @end example
 
-will thus build the package @code{hello} as defined in the master branch,
-which is in general a newer revision of Guix than you have installed.
-Time travel works in both directions!
+will thus build the package @code{hello} as defined by the previous
+@dfn{channels} file (@pxref{Channels}).  In general, it builds a newer
+revision of Guix than you have installed.  Time travel works in both
+directions!
 
 Note that @command{guix time-machine} can trigger builds of channels and
 their dependencies, and these are controlled by the standard build

base-commit: 99fc7e5dd3c9c92f9b6c2e51db9dc5b0481a56b2
prerequisite-patch-id: 7ff5f10954ba2e9663c6e7b15e7aee448c8b74c2
prerequisite-patch-id: cb31c4d7ad8d27df155dcf57b61116048a6b0681
prerequisite-patch-id: f256649d0fac1d618b07615c97c46e66436b9262
-- 
2.38.1

Cheers,
simon